Subject: bug#21695: 25.0.50; Change most occurrences of `setq' in Emacs manual to `customize-set-variable'? Really?

From: martin rudalics <[email-masked]>
Date: Wed, 15 Sep 2021 11:27:25 +0200

> The point is not to display unnecessary warnings.  The point is only
 > to display warnings for custom variables that should not be set with
 > setq because they have a :set form, or IOW, to display warnings for
 > custom variables that should be set with customize-set-variables.

I checked most of our uses of :set and agree that they usually behave
well-mannered so using `setq' instead is practically always a bug
indeed.  But if the warnings are not displayed for byte-compiled code I
miss who their major addressee would be.

martin